#!/bin/dash

# Change that shell to /bin/ash , /bin/sh or /bin/bash , if needed.

# bkusb2home.sh

# Copy Firefox-bookmarks from USB-stick (having Firefox Portable
# installed) to home computer.

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

# Don't just run this script. Modify ~/.bk2site.dir/rc to suit your
# needs, first.


###########################################################################
# Copyright (C) 2003-2007 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################


if . ~/.bk2site.dir/bk2site.common.01.sh
then
    :
else
    echo "could not load ~/.bk2site.dir/bk2site.common.01.sh"
    exit 1
fi

if mount -v $USBMOUNTPOINT
then
    cp -f -v ${USBMOUNTPOINT}/PortableApps/FirefoxPortable/Data/profile/bookmarks.html ${FIREFOX_PROFILE}bookmarks.html
else
    echo "could not mount $USBMOUNTPOINT"
    exit 1
fi

umount -v $USBMOUNTPOINT

bk2site.firefox.sh && bk2sitescp


